CVE-2014-2906

NameCVE-2014-2906
Descriptionunsafe temporary file creationg leading to privilege escalation
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs746259

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
fish (PTS)stretch2.4.0-1fixed
buster, sid3.0.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fishsource(unstable)2.1.1-1low746259

Notes

[squeeze] - fish <no-dsa> (Minor issue)
[wheezy] - fish <no-dsa> (Minor issue)
https://github.com/fish-shell/fish-shell/issues/1437

Search for package or bug name: Reporting problems